<?php
include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/payvalida.php');
class PayvalidaResponseModuleFrontController extends ModuleFrontController
{
    public $ssl = true;
    public $display_column_left = false;
    public $display_column_right = false;

    public function initContent()
    {
		parent::initContent();
		global $smarty;
		$payvalida = Module::getInstanceByName('payvalida');
		$api_key = $payvalida->get_api_key();
		$merchant =$payvalida->get_merchID();
		$hash = $payvalida->get_fixedH();
		if(isset($_REQUEST['order'])){
            $order = $_REQUEST['order'];
		}
		$environment = $payvalida->get_mode();
        $environment_orders = ( 1 == $environment )
			?'https://api.payvalida.com/api/v3/porders/'
			:'https://api-test.payvalida.com/api/v3/porders/';
		$environment_name = (1 == $environment)
            ? 'Produccion'
            : 'SandBox';
		$order = $_GET["order"];
		$fished = Configuration::get('FIXED_HASH_PV');
        $merchid = Configuration::get('MERCHANTID_PV');
        $emailComprador = Context::getContext()->customer->email;
		$key = $order.$merchant.$hash;
		$checksum =  hash('sha512', $key);
		$service_url = $environment_orders.$order."?merchant=".$merchant."&checksum=".$checksum;
		$curl = curl_init($service_url);
		curl_setopt($curl, CURLOPT_HTTPHEADER, ["Content-Type:application/json"]);  
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		$curl_response = curl_exec($curl);
		curl_close($curl);
		$obj = json_decode($curl_response, true);
		$referenceCode =  $obj['CODE'];
		$CURRENCY = $obj['DATA']['CURRENCY'];
		$CREATION_DATE = $obj['DATA']['CREATION_DATE'];
		$STATE = $obj['DATA']['STATE'];
		$PAYMENT_METHOD = $obj['DATA']['PAYMENT_METHOD'];
		$CODE = $obj['DATA']['CODE'];
		$AMOUNT = $obj['DATA']['AMOUNT'];
		$REFERENCE = $obj['DATA']['REFERENCE'];
		$descrip =  $obj['DESC'];
		$smarty->assign(array(
			'referenceCode'=>$referenceCode,
			'CURRENCY'=>$CURRENCY,
			'CREATION_DATE'=>$CREATION_DATE,
			'STATE'=>$STATE,
			'PAYMENT_METHOD'=>$PAYMENT_METHOD,
			'CODE'=>$CODE,										
			'AMOUNT'=>$AMOUNT,
			'REFERENCE'=>$REFERENCE,
			'descrip'=>$descrip,
			'this_path_bw' => $this->module->getPathUri(),
			'this_path_order' => Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'historial-compra',
		));
		$this->setTemplate('module:payvalida/views/templates/front/respuesta_pv.tpl');
	}
}

?>